> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Flow Launcher Update Feed

> Public electron-updater generic feed files (latest-*.yml + zip).



## OpenAPI

````yaml /api-reference/openapi.fr.json get /flow/updates/launcher/{platform}/{arch}/{filename}
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/updates/launcher/{platform}/{arch}/{filename}:
    get:
      tags:
        - flow
      summary: Download Flow Launcher Update Feed
      description: Public electron-updater generic feed files (latest-*.yml + zip).
      operationId: >-
        download_flow_launcher_update_feed_flow_updates_launcher__platform___arch___filename__get
      parameters:
        - name: platform
          in: path
          required: true
          schema:
            type: string
            title: Platform
        - name: arch
          in: path
          required: true
          schema:
            type: string
            title: Arch
        - name: filename
          in: path
          required: true
          schema:
            type: string
            title: Filename
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````